summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian MARGAINE2015-12-28 23:13:12 +0100
committerFlorian MARGAINE2015-12-28 23:13:12 +0100
commit980f2b17f6c4575162cc7dff266992705217494f (patch)
tree6da3f07c1d808f3b6e4e279a51f233826fcb1220
parentcde8e41e8a38b777f27690f66f94ff34435f8eb4 (diff)
downloadaur-hermes.tar.gz
Add systemd and PAM to install
-rw-r--r--hermes.install26
1 files changed, 26 insertions, 0 deletions
diff --git a/hermes.install b/hermes.install
index b510fa40e446..c7ea5d9dd6dd 100644
--- a/hermes.install
+++ b/hermes.install
@@ -1,6 +1,32 @@
post_install() {
+ # <Group>
groupadd hermes || true
+
+ # <Folder>
mkdir -p /etc/hermes
chown root:root /etc/hermes
chmod 500 /etc/hermes
+
+ # <Systemd>
+ systemctl enable hermes.service
+
+ # <PAM>
+ sed -i '2i\auth sufficient pam_hermes.so\
+' /etc/pam.d/system-auth
+}
+
+pre_remove() {
+ # </Systemd>
+ systemctl disable hermes.service
+}
+
+post_remove() {
+ # </Group>
+ groupdel hermes || true
+
+ # </Folder>
+ rm -rf /etc/hermes
+
+ # </PAM>
+ sed 's/^.*pam_hermes.*$//' /etc/pam.d/system-auth
}